> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List all people custom fields

GET https://api.letsdeel.com/rest/people/custom_fields

Returns the list of custom field definitions configured for people within the organization. The response includes field metadata, not specific person field values. It provides definitions with people placement for supported types such as text, list, multiselect, number, percentage, currency, date, and hyperlink.

 **Token scopes**: `people:read`

Reference: https://developer.deel.com/api/reference/endpoints/custom-fields-people/get-custom-fields

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Response

### 200

Successful response

- `data` (list of PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItems, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional) — Error message

## Types

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — Unique identifier of the custom field
- `name` (string, optional) — Name of the custom field
- `type` (PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsType, optional) — Type of the custom field
- `settings` (PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsSettings, optional) — Settings for the custom field
- `placement` (enum, optional, nullable) — Valid placements for custom field
  - Allowed values: `profile`, `contract`
- `created_at` (string, optional) — Creation date of the custom field
- `description` (string, optional, nullable) — Description of the custom field

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsType

Type of the custom field

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsSettings

Settings for the custom field

- `access` (PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsSettingsAccess, required) — Access settings for the custom field
- `required` (boolean, required) — Whether the custom field is required
- `is_enabled` (boolean, required) — Whether the custom field is enabled
- `countries` (list of string, optional) — Countries for which the custom field is applicable.
- `worker_types` (list of enum, optional) — Worker types for which the custom field is applicable
  - Allowed values: `eor`, `peo`, `contractor`, `hris_direct_employee`, `hris_direct_contractor`, `direct_employee`, `contractor_outside_deel`, `person_without_contract`

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsType0

- `name` (enum, required) — Simple types
  - Allowed values: `text`, `number`, `date`, `percentage`, `hyperlink`

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsType1

- `name` (enum, required) — Currency type
  - Allowed values: `currency`
- `is_fixed` (boolean, required) — When currency is fixed, only the amount can be edited by the users
- `currency` (string, optional, nullable) — Currency code

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsType2

- `name` (enum, required) — List types
  - Allowed values: `list`, `multiselect`
- `options` (list of string, required) — List of options for the custom field

### PeopleCustomFieldsGetResponsesContentApplicationJsonSchemaDataItemsSettingsAccess

Access settings for the custom field

- `is_sensitive` (boolean, required) — Whether the custom field is sensitive
- `provided_by` (enum, optional, nullable) — Entity providing access to the custom field
  - Allowed values: `organization`, `worker`
- `group_permission_set` (string, optional, nullable) — Permission set identifier for the custom field

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
      "name": "Custom Field Name",
      "type": {
        "name": "text"
      },
      "settings": {
        "access": {
          "is_sensitive": true,
          "provided_by": "organization",
          "group_permission_set": "custom_fields_set1"
        },
        "required": true,
        "is_enabled": true,
        "countries": [
          "CA",
          "GB",
          "US"
        ],
        "worker_types": [
          "eor",
          "contractor"
        ]
      },
      "placement": "profile",
      "created_at": "2022-01-01T00:00:00Z",
      "description": "Description of the custom field"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/people/custom_fields"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/people/custom_fields';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/people/custom_fields"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/people/custom_fields")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/people/custom_fields")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/people/custom_fields', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/people/custom_fields");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/people/custom_fields")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```